import { convertToLineNodes } from './node';
export const isTableComponent = (component) => component.type === 'table';
export const convertToTable = (tableComponent) => {
    const { components } = tableComponent;
    const [head, ...body] = components;
    const { indent, text } = head;
    const fileName = text.replace(/^\s*table:/, '');
    return {
        indent,
        type: 'table',
        fileName,
        cells: body
            .map((blockComponent) => blockComponent.text.substring(indent + 1))
            .map((text) => text
            .split('\t')
            .map((block) => convertToLineNodes(block, { nested: true, quoted: false })))
    };
};
//# sourceMappingURL=Table.js.map