import { convertToLineNodes } from '.';
const hashTagRegExp = /^(.*? )?#(\S+)(.*)?$/;
const createHashTagNode = (href) => ({
    type: 'hashTag',
    href
});
export const HashTagNodeParser = (text, { nested, quoted }, next) => {
    if (nested)
        return next();
    const hashTagMatch = text.match(hashTagRegExp);
    if (hashTagMatch === null)
        return next();
    const [, left, target, right] = hashTagMatch;
    return [
        ...convertToLineNodes(left, { nested, quoted }),
        createHashTagNode(target),
        ...convertToLineNodes(right, { nested, quoted })
    ];
};
//# sourceMappingURL=HashTagNode.js.map