"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalLinkNodeParser = void 0;
const _1 = require(".");
const internalLinkRegExp = /^(.*?)\[(\/?[^[\]]+)\](.*)$/;
const createInternalLinkNode = (href) => ({
    type: 'link',
    pathType: /^\/.*$/.test(href) ? 'root' : 'relative',
    href,
    content: ''
});
exports.InternalLinkNodeParser = (text, { nested, quoted }, next) => {
    const internalLinkMatch = text.match(internalLinkRegExp);
    if (internalLinkMatch === null)
        return next();
    const [, left, target, right] = internalLinkMatch;
    return [
        ..._1.convertToLineNodes(left, { nested, quoted }),
        createInternalLinkNode(target),
        ..._1.convertToLineNodes(right, { nested, quoted })
    ];
};
//# sourceMappingURL=InternalLinkNode.js.map