"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTitle = exports.parse = void 0;
const block_1 = require("./block");
const BlockComponent_1 = require("./block/BlockComponent");
const PackedBlockComponent_1 = require("./block/PackedBlockComponent");
exports.parse = (input, { hasTitle = true } = {}) => {
    const blockComponents = BlockComponent_1.convertToBlockComponents(input);
    const packedBlockComponents = PackedBlockComponent_1.packBlockComponents(blockComponents, { hasTitle });
    return packedBlockComponents.map(block_1.convertToBlock);
};
exports.getTitle = (input) => {
    const match = input.match(/^\s*(\S.*)\s*$/m);
    return match !== null ? match[1].trim() : 'Untitled';
};
//# sourceMappingURL=parse.js.map